!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1134)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3224 = 3
  integer, parameter :: nGC_3223 = 4
  integer, parameter :: nGC_3222 = 5
  integer, parameter :: nGC_3139 = 6
  integer, parameter :: nGC_3138 = 7
  integer, parameter :: nGC_3131 = 8
  integer, parameter :: nGC_3130 = 9
  integer, parameter :: nGC_3136 = 10
  integer, parameter :: nGC_3188 = 11
  integer, parameter :: nGC_3189 = 12
  integer, parameter :: nGC_MZ_GF = 13
  integer, parameter :: nGC_3182 = 14
  integer, parameter :: nGC_28 = 15
  integer, parameter :: nGC_29 = 16
  integer, parameter :: nGC_3183 = 17
  integer, parameter :: nGC_22 = 18
  integer, parameter :: nGC_23 = 19
  integer, parameter :: nGC_20 = 20
  integer, parameter :: nGC_21 = 21
  integer, parameter :: nGC_26 = 22
  integer, parameter :: nGC_27 = 23
  integer, parameter :: nGC_24 = 24
  integer, parameter :: nGC_25 = 25
  integer, parameter :: nGC_3134 = 26
  integer, parameter :: nGC_GG = 27
  integer, parameter :: nGC_3184 = 28
  integer, parameter :: nGC_40 = 29
  integer, parameter :: nGC_36 = 30
  integer, parameter :: nGC_3198 = 31
  integer, parameter :: nGC_MH = 32
  integer, parameter :: nGC_3669 = 33
  integer, parameter :: nGC_MMW_GF = 34
  integer, parameter :: nGC_3667 = 35
  integer, parameter :: nGC_3666 = 36
  integer, parameter :: nGC_3665 = 37
  integer, parameter :: nGC_3664 = 38
  integer, parameter :: nGC_3663 = 39
  integer, parameter :: nGC_3661 = 40
  integer, parameter :: nGC_76 = 41
  integer, parameter :: nGC_3181 = 42
  integer, parameter :: nGC_3186 = 43
  integer, parameter :: nGC_3187 = 44
  integer, parameter :: nGC_3185 = 45
  integer, parameter :: nGC_72 = 46
  integer, parameter :: nGC_3164 = 47
  integer, parameter :: nGC_3165 = 48
  integer, parameter :: nGC_3166 = 49
  integer, parameter :: nGC_3167 = 50
  integer, parameter :: nGC_3160 = 51
  integer, parameter :: nGC_3161 = 52
  integer, parameter :: nGC_3162 = 53
  integer, parameter :: nGC_3163 = 54
  integer, parameter :: nGC_I = 55
  integer, parameter :: nGC_3168 = 56
  integer, parameter :: nGC_3169 = 57
  integer, parameter :: nGC_236 = 58
  integer, parameter :: nGC_196 = 59
  integer, parameter :: nGC_3 = 60
  integer, parameter :: nGC_2 = 61
  integer, parameter :: nGC_1 = 62
  integer, parameter :: nGC_7 = 63
  integer, parameter :: nGC_6 = 64
  integer, parameter :: nGC_5 = 65
  integer, parameter :: nGC_4 = 66
  integer, parameter :: nGC_9 = 67
  integer, parameter :: nGC_8 = 68
  integer, parameter :: nGC_48 = 69
  integer, parameter :: nGC_3103 = 70
  integer, parameter :: nGC_MI = 71
  integer, parameter :: nGC_53 = 72
  integer, parameter :: nGC_52 = 73
  integer, parameter :: nGC_51 = 74
  integer, parameter :: nGC_50 = 75
  integer, parameter :: nGC_57 = 76
  integer, parameter :: nGC_56 = 77
  integer, parameter :: nGC_55 = 78
  integer, parameter :: nGC_54 = 79
  integer, parameter :: nGC_59 = 80
  integer, parameter :: nGC_58 = 81
  integer, parameter :: nGC_3104 = 82
  integer, parameter :: nGC_6779 = 83
  integer, parameter :: nGC_3137 = 84
  integer, parameter :: nGC_168 = 85
  integer, parameter :: nGC_3603 = 86
  integer, parameter :: nGC_7025 = 87
  integer, parameter :: nGC_3135 = 88
  integer, parameter :: nGC_7026 = 89
  integer, parameter :: nGC_164 = 90
  integer, parameter :: nGC_3234 = 91
  integer, parameter :: nGC_3236 = 92
  integer, parameter :: nGC_5122 = 93
  integer, parameter :: nGC_MZ = 94
  integer, parameter :: nGC_5759 = 95
  integer, parameter :: nGC_5758 = 96
  integer, parameter :: nGC_3281 = 97
  integer, parameter :: nGC_3129 = 98
  integer, parameter :: nGC_3121 = 99
  integer, parameter :: nGC_MW = 100
  integer, parameter :: nGC_7808 = 101
  integer, parameter :: nGC_5230 = 102
  integer, parameter :: nGC_5231 = 103
  integer, parameter :: nGC_83 = 104
  integer, parameter :: nGC_6575 = 105
  integer, parameter :: nGC_6576 = 106
  integer, parameter :: nGC_6577 = 107
  integer, parameter :: nGC_3180 = 108
  integer, parameter :: nGC_266 = 109
  integer, parameter :: nGC_17 = 110
  integer, parameter :: nGC_16 = 111
  integer, parameter :: nGC_15 = 112
  integer, parameter :: nGC_14 = 113
  integer, parameter :: nGC_13 = 114
  integer, parameter :: nGC_12 = 115
  integer, parameter :: nGC_11 = 116
  integer, parameter :: nGC_10 = 117
  integer, parameter :: nGC_3659 = 118
  integer, parameter :: nGC_5094 = 119
  integer, parameter :: nGC_19 = 120
  integer, parameter :: nGC_18 = 121
  integer, parameter :: nGC_3641 = 122
  integer, parameter :: nGC_7147 = 123
  integer, parameter :: nGC_MW_GF = 124
  integer, parameter :: nGC_5249 = 125
  integer, parameter :: nGC_6783 = 126
  integer, parameter :: nGC_3213 = 127
  integer, parameter :: nGC_5097 = 128
  integer, parameter :: nGC_3199 = 129
  integer, parameter :: nGC_5572 = 130
  integer, parameter :: nGC_3668 = 131
  integer, parameter :: nGC_6536 = 132
  integer, parameter :: nGC_6040 = 133
  integer, parameter :: nGC_6041 = 134
  integer, parameter :: nGC_4962 = 135
  integer, parameter :: nGC_3197 = 136
  integer, parameter :: nGC_5410 = 137
  integer, parameter :: nGC_5795 = 138
  integer, parameter :: nGC_4948 = 139
  integer, parameter :: nGC_3193 = 140
  integer, parameter :: nGC_3192 = 141
  integer, parameter :: nGC_6484 = 142
  integer, parameter :: nGC_3575 = 143
  integer, parameter :: nGC_3574 = 144
  integer, parameter :: nGC_3679 = 145
  integer, parameter :: nGC_3674 = 146
  integer, parameter :: nGC_3675 = 147
  integer, parameter :: nGC_3676 = 148
  integer, parameter :: nGC_3670 = 149
  integer, parameter :: nGC_3671 = 150
  integer, parameter :: nGC_3672 = 151
  integer, parameter :: nGC_3673 = 152
  integer, parameter :: nGC_MB = 153
  integer, parameter :: nGC_5117 = 154
  integer, parameter :: nGC_3270 = 155
  integer, parameter :: nGC_3271 = 156
  integer, parameter :: nGC_3272 = 157
  integer, parameter :: nGC_3273 = 158
  integer, parameter :: nGC_3274 = 159
  integer, parameter :: nGC_3275 = 160
  integer, parameter :: nGC_1998 = 161
  integer, parameter :: nGC_3278 = 162
  integer, parameter :: nGC_1994 = 163
  integer, parameter :: nGC_5701 = 164
  integer, parameter :: nGC_63 = 165
  integer, parameter :: nGC_3151 = 166
  integer, parameter :: nGC_3153 = 167
  integer, parameter :: nGC_3152 = 168
  integer, parameter :: nGC_3155 = 169
  integer, parameter :: nGC_3154 = 170
  integer, parameter :: nGC_3409 = 171
  integer, parameter :: nGC_3156 = 172
  integer, parameter :: nGC_3177 = 173
  integer, parameter :: nGC_9125 = 174
  integer, parameter :: nGC_HHHH = 175
  integer, parameter :: nGC_6268 = 176
  integer, parameter :: nGC_MM = 177
  integer, parameter :: nGC_6149 = 178
  integer, parameter :: nGC_6148 = 179
  integer, parameter :: nGC_6263 = 180
  integer, parameter :: nGC_6264 = 181
  integer, parameter :: nGC_6265 = 182
  integer, parameter :: nGC_6266 = 183
  integer, parameter :: nGC_6267 = 184
  integer, parameter :: nGC_5206 = 185
  integer, parameter :: nGC_5205 = 186
  integer, parameter :: nGC_3495 = 187
  integer, parameter :: nGC_3496 = 188
  integer, parameter :: nGC_456 = 189
  integer, parameter :: nGC_592 = 190
  integer, parameter :: nGC_7148 = 191
  integer, parameter :: nGC_MC = 192
  integer, parameter :: nGC_3365 = 193
  integer, parameter :: nGC_5937 = 194
  integer, parameter :: nGC_6919 = 195
  integer, parameter :: nGC_5413 = 196
  integer, parameter :: nGC_6916 = 197
  integer, parameter :: nGC_49 = 198
  integer, parameter :: nGC_44 = 199
  integer, parameter :: nGC_45 = 200
  integer, parameter :: nGC_46 = 201
  integer, parameter :: nGC_47 = 202
  integer, parameter :: nGC_5892 = 203
  integer, parameter :: nGC_41 = 204
  integer, parameter :: nGC_42 = 205
  integer, parameter :: nGC_43 = 206
  integer, parameter :: nGC_4985 = 207
  integer, parameter :: nGC_4984 = 208
  integer, parameter :: nGC_4983 = 209
  integer, parameter :: nGC_4982 = 210
  integer, parameter :: nGC_178 = 211
  integer, parameter :: nGC_7032 = 212
  integer, parameter :: nGC_5295 = 213
  integer, parameter :: nGC_3630 = 214
  integer, parameter :: nGC_3208 = 215
  integer, parameter :: nGC_3632 = 216
  integer, parameter :: nGC_3636 = 217
  integer, parameter :: nGC_3637 = 218
  integer, parameter :: nGC_3631 = 219
  integer, parameter :: nGC_3200 = 220
  integer, parameter :: nGC_3203 = 221
  integer, parameter :: nGC_3202 = 222
  integer, parameter :: nGC_3205 = 223
  integer, parameter :: nGC_3204 = 224
  integer, parameter :: nGC_3207 = 225
  integer, parameter :: nGC_3206 = 226
  integer, parameter :: nGC_3581 = 227
  integer, parameter :: nGC_6039 = 228
  integer, parameter :: nGC_6038 = 229
  integer, parameter :: nGC_3157 = 230
  integer, parameter :: nGC_3115 = 231
  integer, parameter :: nGC_3114 = 232
  integer, parameter :: nGC_3117 = 233
  integer, parameter :: nGC_3116 = 234
  integer, parameter :: nGC_3111 = 235
  integer, parameter :: nGC_3110 = 236
  integer, parameter :: nGC_3113 = 237
  integer, parameter :: nGC_3112 = 238
  integer, parameter :: nGC_3119 = 239
  integer, parameter :: nGC_3118 = 240
  integer, parameter :: nGC_5435 = 241
  integer, parameter :: nGC_3296 = 242
  integer, parameter :: nGC_5147 = 243
  integer, parameter :: nGC_5061 = 244
  integer, parameter :: nGC_5148 = 245
  integer, parameter :: nGC_5149 = 246
  integer, parameter :: nGC_3159 = 247
  integer, parameter :: nGC_GPGMGPGM = 248
  integer, parameter :: nGC_5798 = 249
  integer, parameter :: nGC_MD = 250
  integer, parameter :: nGC_3524 = 251
  integer, parameter :: nGC_6547 = 252
  integer, parameter :: nGC_3577 = 253
  integer, parameter :: nGC_3591 = 254
  integer, parameter :: nGC_3590 = 255
  integer, parameter :: nGC_3593 = 256
  integer, parameter :: nGC_3599 = 257
  integer, parameter :: nGC_5431 = 258
  integer, parameter :: nGC_3523 = 259
  integer, parameter :: nGC_3095 = 260
  integer, parameter :: nGC_6091 = 261
  integer, parameter :: nGC_152 = 262
  integer, parameter :: nGC_3097 = 263
  integer, parameter :: nGC_3639 = 264
  integer, parameter :: nGC_3678 = 265
  integer, parameter :: nGC_1168 = 266
  integer, parameter :: nGC_5060 = 267
  integer, parameter :: nGC_75 = 268
  integer, parameter :: nGC_74 = 269
  integer, parameter :: nGC_77 = 270
  integer, parameter :: nGC_71 = 271
  integer, parameter :: nGC_70 = 272
  integer, parameter :: nGC_73 = 273
  integer, parameter :: nGC_79 = 274
  integer, parameter :: nGC_78 = 275
  integer, parameter :: nGC_3677 = 276
  integer, parameter :: nGC_5436 = 277
  integer, parameter :: nGC_HHGG = 278
  integer, parameter :: nGC_3120 = 279
  integer, parameter :: nGC_3227 = 280
  integer, parameter :: nGC_3235 = 281
  integer, parameter :: nGC_3132 = 282
  integer, parameter :: nGC_4956 = 283
  integer, parameter :: nGC_4957 = 284
  integer, parameter :: nGC_3567 = 285
  integer, parameter :: nGC_3230 = 286
  integer, parameter :: nGC_3398 = 287
  integer, parameter :: nGC_3226 = 288
  integer, parameter :: nGC_3232 = 289
  integer, parameter :: nGC_7118 = 290
  integer, parameter :: nGC_3233 = 291
  integer, parameter :: nGC_3645 = 292
  integer, parameter :: nGC_3644 = 293
  integer, parameter :: nGC_3647 = 294
  integer, parameter :: nGC_5100 = 295
  integer, parameter :: nGC_3367 = 296
  integer, parameter :: nGC_5475 = 297
  integer, parameter :: nGC_9128 = 298
  integer, parameter :: nGC_3241 = 299
  integer, parameter :: nGC_3240 = 300
  integer, parameter :: nGC_3369 = 301
  integer, parameter :: nGC_7031 = 302
  integer, parameter :: nGC_MS = 303
  integer, parameter :: nGC_5476 = 304
  integer, parameter :: nGC_3148 = 305
  integer, parameter :: nGC_3149 = 306
  integer, parameter :: nGC_3146 = 307
  integer, parameter :: nGC_3147 = 308
  integer, parameter :: nGC_3144 = 309
  integer, parameter :: nGC_3145 = 310
  integer, parameter :: nGC_3142 = 311
  integer, parameter :: nGC_3143 = 312
  integer, parameter :: nGC_3140 = 313
  integer, parameter :: nGC_3141 = 314
  integer, parameter :: nGC_6999 = 315
  integer, parameter :: nGC_3612 = 316
  integer, parameter :: nGC_3092 = 317
  integer, parameter :: nGC_3093 = 318
  integer, parameter :: nGC_3094 = 319
  integer, parameter :: nGC_3096 = 320
  integer, parameter :: nGC_3098 = 321
  integer, parameter :: nGC_3099 = 322
  integer, parameter :: nGC_3610 = 323
  integer, parameter :: nGC_6150 = 324
  integer, parameter :: nGC_6151 = 325
  integer, parameter :: nGC_3611 = 326
  integer, parameter :: nGC_3614 = 327
  integer, parameter :: nGC_5219 = 328
  integer, parameter :: nGC_3615 = 329
  integer, parameter :: nGC_3225 = 330
  integer, parameter :: nGC_148 = 331
  integer, parameter :: nGC_6519 = 332
  integer, parameter :: nGC_3221 = 333
  integer, parameter :: nGC_6513 = 334
  integer, parameter :: nGC_86 = 335
  integer, parameter :: nGC_362 = 336
  integer, parameter :: nGC_3220 = 337
  integer, parameter :: nGC_39 = 338
  integer, parameter :: nGC_38 = 339
  integer, parameter :: nGC_31 = 340
  integer, parameter :: nGC_30 = 341
  integer, parameter :: nGC_33 = 342
  integer, parameter :: nGC_32 = 343
  integer, parameter :: nGC_35 = 344
  integer, parameter :: nGC_34 = 345
  integer, parameter :: nGC_37 = 346
  integer, parameter :: nGC_144 = 347
  integer, parameter :: nGC_6548 = 348
  integer, parameter :: nGC_7124 = 349
  integer, parameter :: nGC_7125 = 350
  integer, parameter :: nGC_7120 = 351
  integer, parameter :: nGC_7121 = 352
  integer, parameter :: nGC_MU = 353
  integer, parameter :: nGC_3609 = 354
  integer, parameter :: nGC_3608 = 355
  integer, parameter :: nGC_3605 = 356
  integer, parameter :: nGC_3604 = 357
  integer, parameter :: nGC_3607 = 358
  integer, parameter :: nGC_3606 = 359
  integer, parameter :: nGC_3601 = 360
  integer, parameter :: nGC_3600 = 361
  integer, parameter :: nGC_3351 = 362
  integer, parameter :: nGC_3602 = 363
  integer, parameter :: nGC_6180 = 364
  integer, parameter :: nGC_3529 = 365
  integer, parameter :: nGC_6182 = 366
  integer, parameter :: nGC_MT = 367
  integer, parameter :: nGC_3150 = 368
  integer, parameter :: nGC_GGH = 369
  integer, parameter :: nGC_6740 = 370
  integer, parameter :: nGC_3322 = 371
  integer, parameter :: nGC_3320 = 372
  integer, parameter :: nGC_3324 = 373
  integer, parameter :: nGC_3325 = 374
  integer, parameter :: nGC_3102 = 375
  integer, parameter :: nGC_3452 = 376
  integer, parameter :: nGC_3453 = 377
  integer, parameter :: nGC_3106 = 378
  integer, parameter :: nGC_3107 = 379
  integer, parameter :: nGC_3456 = 380
  integer, parameter :: nGC_3105 = 381
  integer, parameter :: nGC_3108 = 382
  integer, parameter :: nGC_ME = 383
  integer, parameter :: nGC_7344 = 384
  integer, parameter :: nGC_7345 = 385
  integer, parameter :: nGC_7346 = 386
  integer, parameter :: nGC_3158 = 387
  integer, parameter :: nGC_3513 = 388
  integer, parameter :: nGC_3512 = 389
  integer, parameter :: nGC_3515 = 390
  integer, parameter :: nGC_3514 = 391
  integer, parameter :: nGC_6299 = 392
  integer, parameter :: nGC_5173 = 393
  integer, parameter :: nGC_5172 = 394
  integer, parameter :: nGC_5175 = 395
  integer, parameter :: nGC_5176 = 396
  integer, parameter :: nGC_3646 = 397
  integer, parameter :: nGC_5072 = 398
  integer, parameter :: nGC_5074 = 399
  integer, parameter :: nGC_6294 = 400
  integer, parameter :: nGC_6297 = 401
  integer, parameter :: nGC_3216 = 402
  integer, parameter :: nGC_3217 = 403
  integer, parameter :: nGC_3214 = 404
  integer, parameter :: nGC_3215 = 405
  integer, parameter :: nGC_3212 = 406
  integer, parameter :: nGC_3201 = 407
  integer, parameter :: nGC_3210 = 408
  integer, parameter :: nGC_3211 = 409
  integer, parameter :: nGC_3195 = 410
  integer, parameter :: nGC_3194 = 411
  integer, parameter :: nGC_3412 = 412
  integer, parameter :: nGC_3196 = 413
  integer, parameter :: nGC_3191 = 414
  integer, parameter :: nGC_3190 = 415
  integer, parameter :: nGC_3218 = 416
  integer, parameter :: nGC_3219 = 417
  integer, parameter :: nGC_3100 = 418
  integer, parameter :: nGC_3109 = 419
  integer, parameter :: nGC_3268 = 420
  integer, parameter :: nGC_3176 = 421
  integer, parameter :: nGC_3175 = 422
  integer, parameter :: nGC_3174 = 423
  integer, parameter :: nGC_3173 = 424
  integer, parameter :: nGC_3172 = 425
  integer, parameter :: nGC_3171 = 426
  integer, parameter :: nGC_3170 = 427
  integer, parameter :: nGC_3413 = 428
  integer, parameter :: nGC_3179 = 429
  integer, parameter :: nGC_3178 = 430
  integer, parameter :: nGC_3128 = 431
  integer, parameter :: nGC_3442 = 432
  integer, parameter :: nGC_3280 = 433
  integer, parameter :: nGC_3587 = 434
  integer, parameter :: nGC_3584 = 435
  integer, parameter :: nGC_3582 = 436
  integer, parameter :: nGC_3583 = 437
  integer, parameter :: nGC_3580 = 438
  integer, parameter :: nGC_3540 = 439
  integer, parameter :: nGC_MTA = 440
  integer, parameter :: nGC_3122 = 441
  integer, parameter :: nGC_3541 = 442
  integer, parameter :: nGC_3123 = 443
  integer, parameter :: nGC_5073 = 444
  integer, parameter :: nGC_6520 = 445
  integer, parameter :: nGC_3124 = 446
  integer, parameter :: nGC_184 = 447
  integer, parameter :: nGC_3125 = 448
  integer, parameter :: nGC_3126 = 449
  integer, parameter :: nGC_80 = 450
  integer, parameter :: nGC_81 = 451
  integer, parameter :: nGC_82 = 452
  integer, parameter :: nGC_3127 = 453
  integer, parameter :: nGC_84 = 454
  integer, parameter :: nGC_85 = 455
  integer, parameter :: nGC_87 = 456
  integer, parameter :: nGC_3231 = 457
  integer, parameter :: nGC_66 = 458
  integer, parameter :: nGC_67 = 459
  integer, parameter :: nGC_64 = 460
  integer, parameter :: nGC_65 = 461
  integer, parameter :: nGC_62 = 462
  integer, parameter :: nGC_60 = 463
  integer, parameter :: nGC_61 = 464
  integer, parameter :: nGC_3101 = 465
  integer, parameter :: nGC_3525 = 466
  integer, parameter :: nGC_3509 = 467
  integer, parameter :: nGC_68 = 468
  integer, parameter :: nGC_69 = 469
  integer, parameter :: nGC_7476 = 470
  integer, parameter :: nGC_88 = 471
  integer, parameter :: nGC_4963 = 472
  integer, parameter :: nGC_3133 = 473
  integer, parameter :: nGC_3209 = 474
  integer, parameter :: nGC_5150 = 475
  integer, parameter :: nGC_5215 = 476
  integer, parameter :: nGC_HHH = 477
  integer, parameter :: nGC_6092 = 478
  integer, parameter :: nGC_112 = 479
  integer, parameter :: nGC_3656 = 480
  integer, parameter :: nGC_3657 = 481
  integer, parameter :: nGC_3654 = 482
  integer, parameter :: nGC_3655 = 483
  integer, parameter :: nGC_3559 = 484
  integer, parameter :: nGC_3558 = 485
  integer, parameter :: nGC_3650 = 486
  integer, parameter :: nGC_3651 = 487
  integer, parameter :: nGC_3555 = 488
  integer, parameter :: nGC_3554 = 489
  integer, parameter :: nGC_3557 = 490
  integer, parameter :: nGC_3556 = 491
  integer, parameter :: nGC_3551 = 492
  integer, parameter :: nGC_3550 = 493
  integer, parameter :: nGC_3553 = 494
  integer, parameter :: nGC_3552 = 495
  integer, parameter :: nGC_5134 = 496
  integer, parameter :: nGC_5133 = 497
  integer, parameter :: nGC_3382 = 498
  integer, parameter :: nGC_3383 = 499
  integer, parameter :: nGC_3386 = 500
  integer, parameter :: nGC_3313 = 501
  integer, parameter :: nGC_3312 = 502
  integer, parameter :: nGC_3311 = 503
  integer, parameter :: nGC_3310 = 504
  integer, parameter :: nGC_5760 = 505
  integer, parameter :: nGC_5761 = 506
  integer, parameter :: nGC_5762 = 507
  integer, parameter :: nGC_5763 = 508
  integer, parameter :: nGC_5764 = 509
  integer, parameter :: nGC_5765 = 510
  integer, parameter :: nGC_3254 = 511
  integer, parameter :: nGC_3255 = 512
  integer, parameter :: nGC_3429 = 513
  integer, parameter :: nGC_3428 = 514
  integer, parameter :: nGC_3658 = 515
  integer, parameter :: nGC_3421 = 516
  integer, parameter :: nGC_3420 = 517
  integer, parameter :: nGC_3422 = 518
  integer, parameter :: nGC_3425 = 519
  integer, parameter :: nGC_3424 = 520
  integer, parameter :: nGC_3427 = 521
  integer, parameter :: nGC_3426 = 522
  integer, parameter :: nGC_5000 = 523
  integer, parameter :: nGC_3389 = 524
  integer, parameter :: nGC_5009 = 525
  integer, parameter :: nGC_5008 = 526
  integer, parameter :: nGC_5611 = 527
  integer, parameter :: nGC_6089 = 528
  integer, parameter :: nGC_5940 = 529
  integer, parameter :: nGC_5941 = 530
  integer, parameter :: nGC_5340 = 531
  integer, parameter :: nGC_6444 = 532
  integer, parameter :: nGC_6445 = 533
  integer, parameter :: nGC_6446 = 534
  integer, parameter :: nGC_6443 = 535
  integer, parameter :: nGC_6624 = 536
  integer, parameter :: nGC_6625 = 537
  integer, parameter :: nGC_3269 = 538
  integer, parameter :: nGC_5539 = 539
  integer, parameter :: nGC_5538 = 540
  integer, parameter :: nGC_5537 = 541
  integer, parameter :: nGC_5861 = 542
  integer, parameter :: nGC_5330 = 543
  integer, parameter :: nGC_7119 = 544
  integer, parameter :: nGC_7051 = 545
  integer, parameter :: nGC_7052 = 546
  integer, parameter :: nGC_3618 = 547
  integer, parameter :: nGC_3619 = 548
  integer, parameter :: nGC_3349 = 549
  integer, parameter :: nGC_3344 = 550
  integer, parameter :: nGC_3613 = 551
  integer, parameter :: nGC_3340 = 552
  integer, parameter :: nGC_3341 = 553
  integer, parameter :: nGC_3342 = 554
  integer, parameter :: nGC_3343 = 555
  integer, parameter :: nGC_6053 = 556
  integer, parameter :: nGC_6054 = 557
  integer, parameter :: nGC_5404 = 558
  integer, parameter :: nGC_5401 = 559
  integer, parameter :: nGC_5402 = 560
  integer, parameter :: nGC_3258 = 561
  integer, parameter :: nGC_3259 = 562
  integer, parameter :: nGC_4939 = 563
  integer, parameter :: nGC_4936 = 564
  integer, parameter :: nGC_4932 = 565
  integer, parameter :: nGC_3500 = 566
  integer, parameter :: nGC_3501 = 567
  integer, parameter :: nGC_3465 = 568
  integer, parameter :: nGC_3464 = 569
  integer, parameter :: nGC_3467 = 570
  integer, parameter :: nGC_3466 = 571
  integer, parameter :: nGC_3461 = 572
  integer, parameter :: nGC_3460 = 573
  integer, parameter :: nGC_3463 = 574
  integer, parameter :: nGC_3462 = 575
  integer, parameter :: nGC_7475 = 576
  integer, parameter :: nGC_3319 = 577
  integer, parameter :: nGC_7478 = 578
  integer, parameter :: nGC_3256 = 579
  integer, parameter :: nGC_5164 = 580
  integer, parameter :: nGC_5165 = 581
  integer, parameter :: nGC_3257 = 582
  integer, parameter :: nGC_3263 = 583
  integer, parameter :: nGC_3262 = 584
  integer, parameter :: nGC_3261 = 585
  integer, parameter :: nGC_3260 = 586
  integer, parameter :: nGC_3267 = 587
  integer, parameter :: nGC_3266 = 588
  integer, parameter :: nGC_3265 = 589
  integer, parameter :: nGC_3264 = 590
  integer, parameter :: nGC_6375 = 591
  integer, parameter :: nGC_6177 = 592
  integer, parameter :: nGC_6270 = 593
  integer, parameter :: nGC_3652 = 594
  integer, parameter :: nGC_190 = 595
  integer, parameter :: nGC_5574 = 596
  integer, parameter :: nGC_3653 = 597
  integer, parameter :: nGC_5573 = 598
  integer, parameter :: nGC_5279 = 599
  integer, parameter :: nGC_3487 = 600
  integer, parameter :: nGC_3486 = 601
  integer, parameter :: nGC_3485 = 602
  integer, parameter :: nGC_6537 = 603
  integer, parameter :: nGC_3483 = 604
  integer, parameter :: nGC_3482 = 605
  integer, parameter :: nGC_3481 = 606
  integer, parameter :: nGC_3480 = 607
  integer, parameter :: nGC_3488 = 608
  integer, parameter :: nGC_6302 = 609
  integer, parameter :: nGC_6300 = 610
  integer, parameter :: nGC_3451 = 611
  integer, parameter :: nGC_3423 = 612
  integer, parameter :: nGC_7027 = 613
  integer, parameter :: nGC_7028 = 614
  integer, parameter :: nGC_5280 = 615
  integer, parameter :: nGC_3623 = 616
  integer, parameter :: nGC_3622 = 617
  integer, parameter :: nGC_3548 = 618
  integer, parameter :: nGC_3549 = 619
  integer, parameter :: nGC_3238 = 620
  integer, parameter :: nGC_3626 = 621
  integer, parameter :: nGC_3625 = 622
  integer, parameter :: nGC_3624 = 623
  integer, parameter :: nGC_3629 = 624
  integer, parameter :: nGC_3628 = 625
  integer, parameter :: nGC_3546 = 626
  integer, parameter :: nGC_3547 = 627
  integer, parameter :: nGC_3544 = 628
  integer, parameter :: nGC_3545 = 629
  integer, parameter :: nGC_6992 = 630
  integer, parameter :: nGC_5127 = 631
  integer, parameter :: nGC_7432 = 632
  integer, parameter :: nGC_7433 = 633
  integer, parameter :: nGC_5128 = 634
  integer, parameter :: nGC_5129 = 635
  integer, parameter :: nGC_5087 = 636
  integer, parameter :: nGC_7435 = 637
  integer, parameter :: nGC_6006 = 638
  integer, parameter :: nGC_5697 = 639
  integer, parameter :: nGC_6003 = 640
  integer, parameter :: nGC_3300 = 641
  integer, parameter :: nGC_3301 = 642
  integer, parameter :: nGC_3302 = 643
  integer, parameter :: nGC_3303 = 644
  integer, parameter :: nGC_3304 = 645
  integer, parameter :: nGC_3305 = 646
  integer, parameter :: nGC_3306 = 647
  integer, parameter :: nGC_3307 = 648
  integer, parameter :: nGC_5456 = 649
  integer, parameter :: nGC_3309 = 650
  integer, parameter :: nGC_5453 = 651
  integer, parameter :: nGC_7973 = 652
  integer, parameter :: nGC_3437 = 653
  integer, parameter :: nGC_3434 = 654
  integer, parameter :: nGC_3435 = 655
  integer, parameter :: nGC_7977 = 656
  integer, parameter :: nGC_3433 = 657
  integer, parameter :: nGC_3430 = 658
  integer, parameter :: nGC_3431 = 659
  integer, parameter :: nGC_7978 = 660
  integer, parameter :: nGC_3438 = 661
  integer, parameter :: nGC_3439 = 662
  integer, parameter :: nGC_3511 = 663
  integer, parameter :: nGC_3283 = 664
  integer, parameter :: nGC_3282 = 665
  integer, parameter :: nGC_3285 = 666
  integer, parameter :: nGC_3284 = 667
  integer, parameter :: nGC_3287 = 668
  integer, parameter :: nGC_3286 = 669
  integer, parameter :: nGC_3537 = 670
  integer, parameter :: nGC_3532 = 671
  integer, parameter :: nGC_3530 = 672
  integer, parameter :: nGC_5019 = 673
  integer, parameter :: nGC_5012 = 674
  integer, parameter :: nGC_3318 = 675
  integer, parameter :: nGC_5337 = 676
  integer, parameter :: nGC_300 = 677
  integer, parameter :: nGC_5521 = 678
  integer, parameter :: nGC_5243 = 679
  integer, parameter :: nGC_5870 = 680
  integer, parameter :: nGC_5871 = 681
  integer, parameter :: nGC_3379 = 682
  integer, parameter :: nGC_3371 = 683
  integer, parameter :: nGC_3375 = 684
  integer, parameter :: nGC_3377 = 685
  integer, parameter :: nGC_5417 = 686
  integer, parameter :: nGC_5418 = 687
  integer, parameter :: nGC_6765 = 688
  integer, parameter :: nGC_6766 = 689
  integer, parameter :: nGC_4949 = 690
  integer, parameter :: nGC_4943 = 691
  integer, parameter :: nGC_4942 = 692
  integer, parameter :: nGC_4941 = 693
  integer, parameter :: nGC_4945 = 694
  integer, parameter :: nGC_4944 = 695
  integer, parameter :: nGC_3573 = 696
  integer, parameter :: nGC_3572 = 697
  integer, parameter :: nGC_3571 = 698
  integer, parameter :: nGC_3576 = 699
  integer, parameter :: nGC_6488 = 700
  integer, parameter :: nGC_6489 = 701
  integer, parameter :: nGC_3579 = 702
  integer, parameter :: nGC_3578 = 703
  integer, parameter :: nGC_3474 = 704
  integer, parameter :: nGC_5059 = 705
  integer, parameter :: nGC_5665 = 706
  integer, parameter :: nGC_5113 = 707
  integer, parameter :: nGC_5110 = 708
  integer, parameter :: nGC_5116 = 709
  integer, parameter :: nGC_3276 = 710
  integer, parameter :: nGC_3277 = 711
  integer, parameter :: nGC_5469 = 712
  integer, parameter :: nGC_6301 = 713
  integer, parameter :: nGC_9126 = 714
  integer, parameter :: nGC_3244 = 715
  integer, parameter :: nGC_3407 = 716
  integer, parameter :: nGC_3406 = 717
  integer, parameter :: nGC_3401 = 718
  integer, parameter :: nGC_5028 = 719
  integer, parameter :: nGC_6269 = 720
  integer, parameter :: nGC_5801 = 721
  integer, parameter :: nGC_5800 = 722
  integer, parameter :: nGC_5803 = 723
  integer, parameter :: nGC_5802 = 724
  integer, parameter :: nGC_5207 = 725
  integer, parameter :: nGC_5563 = 726
  integer, parameter :: nGC_5208 = 727
  integer, parameter :: nGC_7142 = 728
  integer, parameter :: nGC_7143 = 729
  integer, parameter :: nGC_7141 = 730
  integer, parameter :: nGC_3491 = 731
  integer, parameter :: nGC_7144 = 732
  integer, parameter :: nGC_3493 = 733
  integer, parameter :: nGC_7149 = 734
  integer, parameter :: nGC_5931 = 735
  integer, parameter :: nGC_5930 = 736
  integer, parameter :: nGC_5933 = 737
  integer, parameter :: nGC_5932 = 738
  integer, parameter :: nGC_6410 = 739
  integer, parameter :: nGC_3336 = 740
  integer, parameter :: nGC_3331 = 741
  integer, parameter :: nGC_4981 = 742
  integer, parameter :: nGC_6413 = 743
  integer, parameter :: nGC_7034 = 744
  integer, parameter :: nGC_7033 = 745
  integer, parameter :: nGC_5296 = 746
  integer, parameter :: nGC_5297 = 747
  integer, parameter :: nGC_3633 = 748
  integer, parameter :: nGC_3634 = 749
  integer, parameter :: nGC_3635 = 750
  integer, parameter :: nGC_3638 = 751
  integer, parameter :: nGC_5099 = 752
  integer, parameter :: nGC_3345 = 753
  integer, parameter :: nGC_9898 = 754
  integer, parameter :: nGC_3339 = 755
  integer, parameter :: nGC_3338 = 756
  integer, parameter :: nGC_3337 = 757
  integer, parameter :: nGC_5420 = 758
  integer, parameter :: nGC_5588 = 759
  integer, parameter :: nGC_3330 = 760
  integer, parameter :: nGC_3333 = 761
  integer, parameter :: nGC_3332 = 762
  integer, parameter :: nGC_3443 = 763
  integer, parameter :: nGC_3441 = 764
  integer, parameter :: nGC_3440 = 765
  integer, parameter :: nGC_3447 = 766
  integer, parameter :: nGC_3446 = 767
  integer, parameter :: nGC_3445 = 768
  integer, parameter :: nGC_3444 = 769
  integer, parameter :: nGC_3449 = 770
  integer, parameter :: nGC_3448 = 771
  integer, parameter :: nGC_3681 = 772
  integer, parameter :: nGC_3680 = 773
  integer, parameter :: nGC_3298 = 774
  integer, parameter :: nGC_3682 = 775
  integer, parameter :: nGC_3297 = 776
  integer, parameter :: nGC_3294 = 777
  integer, parameter :: nGC_3295 = 778
  integer, parameter :: nGC_3292 = 779
  integer, parameter :: nGC_3293 = 780
  integer, parameter :: nGC_3290 = 781
  integer, parameter :: nGC_3291 = 782
  integer, parameter :: nGC_5146 = 783
  integer, parameter :: nGC_5063 = 784
  integer, parameter :: nGC_5062 = 785
  integer, parameter :: nGC_3528 = 786
  integer, parameter :: nGC_3299 = 787
  integer, parameter :: nGC_6483 = 788
  integer, parameter :: nGC_5328 = 789
  integer, parameter :: nGC_6549 = 790
  integer, parameter :: nGC_3526 = 791
  integer, parameter :: nGC_3527 = 792
  integer, parameter :: nGC_3595 = 793
  integer, parameter :: nGC_3594 = 794
  integer, parameter :: nGC_3597 = 795
  integer, parameter :: nGC_3596 = 796
  integer, parameter :: nGC_3520 = 797
  integer, parameter :: nGC_3521 = 798
  integer, parameter :: nGC_11361 = 799
  integer, parameter :: nGC_11363 = 800
  integer, parameter :: nGC_3522 = 801
  integer, parameter :: nGC_3473 = 802
  integer, parameter :: nGC_3470 = 803
  integer, parameter :: nGC_3471 = 804
  integer, parameter :: nGC_5498 = 805
  integer, parameter :: nGC_5493 = 806
  integer, parameter :: nGC_5990 = 807
  integer, parameter :: nGC_5496 = 808
  integer, parameter :: nGC_5497 = 809
  integer, parameter :: nGC_5988 = 810
  integer, parameter :: nGC_5391 = 811
  integer, parameter :: nGC_5390 = 812
  integer, parameter :: nGC_5392 = 813
  integer, parameter :: nGC_5250 = 814
  integer, parameter :: nGC_5251 = 815
  integer, parameter :: nGC_5252 = 816
  integer, parameter :: nGC_3479 = 817
  integer, parameter :: nGC_5198 = 818
  integer, parameter :: nGC_3621 = 819
  integer, parameter :: nGC_3620 = 820
  integer, parameter :: nGC_3627 = 821
  integer, parameter :: nGC_3239 = 822
  integer, parameter :: nGC_3484 = 823
  integer, parameter :: nGC_4958 = 824
  integer, parameter :: nGC_4959 = 825
  integer, parameter :: nGC_7000 = 826
  integer, parameter :: nGC_4953 = 827
  integer, parameter :: nGC_3560 = 828
  integer, parameter :: nGC_3561 = 829
  integer, parameter :: nGC_3562 = 830
  integer, parameter :: nGC_3563 = 831
  integer, parameter :: nGC_3564 = 832
  integer, parameter :: nGC_3565 = 833
  integer, parameter :: nGC_3566 = 834
  integer, parameter :: nGC_3568 = 835
  integer, parameter :: nGC_3569 = 836
  integer, parameter :: nGC_3649 = 837
  integer, parameter :: nGC_3648 = 838
  integer, parameter :: nGC_5666 = 839
  integer, parameter :: nGC_3393 = 840
  integer, parameter :: nGC_3392 = 841
  integer, parameter :: nGC_3643 = 842
  integer, parameter :: nGC_3642 = 843
  integer, parameter :: nGC_5101 = 844
  integer, parameter :: nGC_5102 = 845
  integer, parameter :: nGC_5103 = 846
  integer, parameter :: nGC_5106 = 847
  integer, parameter :: nGC_5107 = 848
  integer, parameter :: nGC_3249 = 849
  integer, parameter :: nGC_3248 = 850
  integer, parameter :: nGC_9129 = 851
  integer, parameter :: nGC_3245 = 852
  integer, parameter :: nGC_6782 = 853
  integer, parameter :: nGC_3247 = 854
  integer, parameter :: nGC_3246 = 855
  integer, parameter :: nGC_3570 = 856
  integer, parameter :: nGC_3243 = 857
  integer, parameter :: nGC_3242 = 858
  integer, parameter :: nGC_7852 = 859
  integer, parameter :: nGC_5389 = 860
  integer, parameter :: nGC_7856 = 861
  integer, parameter :: nGC_3472 = 862
  integer, parameter :: nGC_3418 = 863
  integer, parameter :: nGC_3419 = 864
  integer, parameter :: nGC_3414 = 865
  integer, parameter :: nGC_3415 = 866
  integer, parameter :: nGC_3416 = 867
  integer, parameter :: nGC_3417 = 868
  integer, parameter :: nGC_3410 = 869
  integer, parameter :: nGC_3411 = 870
  integer, parameter :: nGC_5030 = 871
  integer, parameter :: nGC_3289 = 872
  integer, parameter :: nGC_210 = 873
  integer, parameter :: nGC_7434 = 874
  integer, parameter :: nGC_6090 = 875
  integer, parameter :: nGC_5958 = 876
  integer, parameter :: nGC_5957 = 877
  integer, parameter :: nGC_3616 = 878
  integer, parameter :: nGC_5955 = 879
  integer, parameter :: nGC_5952 = 880
  integer, parameter :: nGC_3617 = 881
  integer, parameter :: nGC_5212 = 882
  integer, parameter :: nGC_3279 = 883
  integer, parameter :: nGC_5218 = 884
  integer, parameter :: nGC_6007 = 885
  integer, parameter :: nGC_6734 = 886
  integer, parameter :: nGC_6735 = 887
  integer, parameter :: nGC_3237 = 888
  integer, parameter :: nGC_3640 = 889
  integer, parameter :: nGC_5508 = 890
  integer, parameter :: nGC_5509 = 891
  integer, parameter :: nGC_2000 = 892
  integer, parameter :: nGC_7126 = 893
  integer, parameter :: nGC_7127 = 894
  integer, parameter :: nGC_3359 = 895
  integer, parameter :: nGC_3358 = 896
  integer, parameter :: nGC_3357 = 897
  integer, parameter :: nGC_3356 = 898
  integer, parameter :: nGC_3355 = 899
  integer, parameter :: nGC_3354 = 900
  integer, parameter :: nGC_3353 = 901
  integer, parameter :: nGC_3352 = 902
  integer, parameter :: nGC_3350 = 903
  integer, parameter :: nGC_3308 = 904
  integer, parameter :: nGC_3592 = 905
  integer, parameter :: nGC_6185 = 906
  integer, parameter :: nGC_6183 = 907
  integer, parameter :: nGC_3328 = 908
  integer, parameter :: nGC_3329 = 909
  integer, parameter :: nGC_3598 = 910
  integer, parameter :: nGC_3323 = 911
  integer, parameter :: nGC_5432 = 912
  integer, parameter :: nGC_3321 = 913
  integer, parameter :: nGC_3326 = 914
  integer, parameter :: nGC_3327 = 915
  integer, parameter :: nGC_3450 = 916
  integer, parameter :: nGC_3436 = 917
  integer, parameter :: nGC_3454 = 918
  integer, parameter :: nGC_3455 = 919
  integer, parameter :: nGC_3457 = 920
  integer, parameter :: nGC_3458 = 921
  integer, parameter :: nGC_3459 = 922
  integer, parameter :: nGC_3408 = 923
  integer, parameter :: nGC_5408 = 924
  integer, parameter :: nGC_3519 = 925
  integer, parameter :: nGC_3518 = 926
  integer, parameter :: nGC_7347 = 927
  integer, parameter :: nGC_3510 = 928
  integer, parameter :: nGC_3517 = 929
  integer, parameter :: nGC_3516 = 930
  integer, parameter :: nGC_5079 = 931
  integer, parameter :: nGC_5174 = 932
  integer, parameter :: nGC_3388 = 933
  integer, parameter :: nGC_7974 = 934
  integer, parameter :: nGC_5075 = 935
  integer, parameter :: nGC_5649 = 936
  integer, parameter :: nGC_5646 = 937
  integer, parameter :: nGC_6550 = 938
  integer, parameter :: nGC_6551 = 939
  integer, parameter :: nGC_5318 = 940
  integer, parameter :: nGC_3588 = 941
  integer, parameter :: nGC_3589 = 942
  integer, parameter :: nGC_3586 = 943
  integer, parameter :: nGC_3585 = 944
  integer, parameter :: nGC_6414 = 945
  integer, parameter :: nGC_3539 = 946
  integer, parameter :: nGC_3538 = 947
  integer, parameter :: nGC_5540 = 948
  integer, parameter :: nGC_5989 = 949
  integer, parameter :: nGC_3505 = 950
  integer, parameter :: nGC_6381 = 951
  integer, parameter :: nGC_3288 = 952
  integer, parameter :: nGC_3469 = 953
  integer, parameter :: nGC_3432 = 954
  integer, parameter :: nGC_3468 = 955
  integer, parameter :: nGC_6522 = 956
  integer, parameter :: nGC_6521 = 957
  integer, parameter :: nGC_5260 = 958
  integer, parameter :: nGC_5262 = 959
  integer, parameter :: nGC_5913 = 960
  integer, parameter :: nGC_5858 = 961
  integer, parameter :: nGC_3508 = 962
  integer, parameter :: nGC_4965 = 963
  integer, parameter :: nGC_4964 = 964
  integer, parameter :: nGC_5044 = 965
  integer, parameter :: nGC_4969 = 966
  integer, parameter :: nGC_5499 = 967
  integer, parameter :: nGC_5083 = 968
  integer, parameter :: nGC_5135 = 969
  integer, parameter :: nGC_5136 = 970
  integer, parameter :: nGC_5130 = 971
  integer, parameter :: nGC_3380 = 972
  integer, parameter :: nGC_3381 = 973
  integer, parameter :: nGC_3384 = 974
  integer, parameter :: nGC_3385 = 975
  integer, parameter :: nGC_3387 = 976
  integer, parameter :: nGC_3494 = 977
  integer, parameter :: nGC_5035 = 978
  integer, parameter :: nGC_3497 = 979
  integer, parameter :: nGC_3490 = 980
  integer, parameter :: nGC_5031 = 981
  integer, parameter :: nGC_3492 = 982
  integer, parameter :: nGC_3498 = 983
  integer, parameter :: nGC_3499 = 984
  integer, parameter :: nGC_3317 = 985
  integer, parameter :: nGC_3316 = 986
  integer, parameter :: nGC_3315 = 987
  integer, parameter :: nGC_3314 = 988
  integer, parameter :: nGC_3252 = 989
  integer, parameter :: nGC_3253 = 990
  integer, parameter :: nGC_3250 = 991
  integer, parameter :: nGC_3251 = 992
  integer, parameter :: nGC_10346 = 993
  integer, parameter :: nGC_5959 = 994
  integer, parameter :: nGC_3542 = 995
  integer, parameter :: nGC_3543 = 996
  integer, parameter :: nGC_6640 = 997
  integer, parameter :: nGC_10721 = 998
  integer, parameter :: nGC_5084 = 999
  integer, parameter :: nGC_5001 = 1000
  integer, parameter :: nGC_5002 = 1001
  integer, parameter :: nGC_5698 = 1002
  integer, parameter :: nGC_6247 = 1003
  integer, parameter :: nGC_4988 = 1004
  integer, parameter :: nGC_6184 = 1005
  integer, parameter :: nGC_5298 = 1006
  integer, parameter :: nGC_3360 = 1007
  integer, parameter :: nGC_5342 = 1008
  integer, parameter :: nGC_5341 = 1009
  integer, parameter :: nGC_3536 = 1010
  integer, parameter :: nGC_3535 = 1011
  integer, parameter :: nGC_3534 = 1012
  integer, parameter :: nGC_5221 = 1013
  integer, parameter :: nGC_5220 = 1014
  integer, parameter :: nGC_5223 = 1015
  integer, parameter :: nGC_5222 = 1016
  integer, parameter :: nGC_6447 = 1017
  integer, parameter :: nGC_5153 = 1018
  integer, parameter :: nGC_5016 = 1019
  integer, parameter :: nGC_5500 = 1020
  integer, parameter :: nGC_6138 = 1021
  integer, parameter :: nGC_8162 = 1022
  integer, parameter :: nGC_5626 = 1023
  integer, parameter :: nGC_3335 = 1024
  integer, parameter :: nGC_3334 = 1025
  integer, parameter :: nGC_6133 = 1026
  integer, parameter :: nGC_6330 = 1027
  integer, parameter :: nGC_10387 = 1028
  integer, parameter :: nGC_5238 = 1029
  integer, parameter :: nGC_5239 = 1030
  integer, parameter :: nGC_5232 = 1031
  integer, parameter :: nGC_5233 = 1032
  integer, parameter :: nGC_5550 = 1033
  integer, parameter :: nGC_6382 = 1034
  integer, parameter :: nGC_5438 = 1035
  integer, parameter :: nGC_3397 = 1036
  integer, parameter :: nGC_5437 = 1037
  integer, parameter :: nGC_3348 = 1038
  integer, parameter :: nGC_3346 = 1039
  integer, parameter :: nGC_3347 = 1040
  integer, parameter :: nGC_5327 = 1041
  integer, parameter :: nGC_10473 = 1042
  integer, parameter :: nGC_5329 = 1043
  integer, parameter :: nGC_3405 = 1044
  integer, parameter :: nGC_5405 = 1045
  integer, parameter :: nGC_3404 = 1046
  integer, parameter :: nGC_5403 = 1047
  integer, parameter :: nGC_5246 = 1048
  integer, parameter :: nGC_3396 = 1049
  integer, parameter :: nGC_6093 = 1050
  integer, parameter :: nGC_3394 = 1051
  integer, parameter :: nGC_9594 = 1052
  integer, parameter :: nGC_3506 = 1053
  integer, parameter :: nGC_3507 = 1054
  integer, parameter :: nGC_3504 = 1055
  integer, parameter :: nGC_6490 = 1056
  integer, parameter :: nGC_3502 = 1057
  integer, parameter :: nGC_5447 = 1058
  integer, parameter :: nGC_3370 = 1059
  integer, parameter :: nGC_3373 = 1060
  integer, parameter :: nGC_3372 = 1061
  integer, parameter :: nGC_3374 = 1062
  integer, parameter :: nGC_3376 = 1063
  integer, parameter :: nGC_5045 = 1064
  integer, parameter :: nGC_7477 = 1065
  integer, parameter :: nGC_5047 = 1066
  integer, parameter :: nGC_5046 = 1067
  integer, parameter :: nGC_5991 = 1068
  integer, parameter :: nGC_6154 = 1069
  integer, parameter :: nGC_6768 = 1070
  integer, parameter :: nGC_6155 = 1071
  integer, parameter :: nGC_5419 = 1072
  integer, parameter :: nGC_6767 = 1073
  integer, parameter :: nGC_5659 = 1074
  integer, parameter :: nGC_5960 = 1075
  integer, parameter :: nGC_8508 = 1076
  integer, parameter :: nGC_5650 = 1077
  integer, parameter :: nGC_5651 = 1078
  integer, parameter :: nGC_5652 = 1079
  integer, parameter :: nGC_5653 = 1080
  integer, parameter :: nGC_5656 = 1081
  integer, parameter :: nGC_5192 = 1082
  integer, parameter :: nGC_3478 = 1083
  integer, parameter :: nGC_10690 = 1084
  integer, parameter :: nGC_10101 = 1085
  integer, parameter :: nGC_3378 = 1086
  integer, parameter :: nGC_3476 = 1087
  integer, parameter :: nGC_3477 = 1088
  integer, parameter :: nGC_3475 = 1089
  integer, parameter :: nGC_5050 = 1090
  integer, parameter :: nGC_6079 = 1091
  integer, parameter :: nGC_5029 = 1092
  integer, parameter :: nGC_9822 = 1093
  integer, parameter :: nGC_9989 = 1094
  integer, parameter :: nGC_3503 = 1095
  integer, parameter :: nGC_5119 = 1096
  integer, parameter :: nGC_5118 = 1097
  integer, parameter :: nGC_6376 = 1098
  integer, parameter :: nGC_5662 = 1099
  integer, parameter :: nGC_5261 = 1100
  integer, parameter :: nGC_3533 = 1101
  integer, parameter :: nGC_5263 = 1102
  integer, parameter :: nGC_3531 = 1103
  integer, parameter :: nGC_3362 = 1104
  integer, parameter :: nGC_5839 = 1105
  integer, parameter :: nGC_3399 = 1106
  integer, parameter :: nGC_5154 = 1107
  integer, parameter :: nGC_5575 = 1108
  integer, parameter :: nGC_6523 = 1109
  integer, parameter :: nGC_3391 = 1110
  integer, parameter :: nGC_3390 = 1111
  integer, parameter :: nGC_3403 = 1112
  integer, parameter :: nGC_3402 = 1113
  integer, parameter :: nGC_3395 = 1114
  integer, parameter :: nGC_3400 = 1115
  integer, parameter :: nGC_7150 = 1116
  integer, parameter :: nGC_6042 = 1117
  integer, parameter :: nGC_3489 = 1118
  integer, parameter :: nGC_3366 = 1119
  integer, parameter :: nGC_3364 = 1120
  integer, parameter :: nGC_6043 = 1121
  integer, parameter :: nGC_5470 = 1122
  integer, parameter :: nGC_3363 = 1123
  integer, parameter :: nGC_5906 = 1124
  integer, parameter :: nGC_3361 = 1125
  integer, parameter :: nGC_3368 = 1126
  integer, parameter :: nGC_5193 = 1127
  integer, parameter :: nGC_4989 = 1128
  integer, parameter :: nGC_5121 = 1129
  integer, parameter :: nGC_4990 = 1130
  integer, parameter :: nGC_5344 = 1131
  integer, parameter :: nGC_5120 = 1132
  integer, parameter :: nGC_6094 = 1133
  integer, parameter :: nGC_5343 = 1134
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
