!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-28 18:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_3669) = -cima*dMC_QCD2
      coupl(nGC_3667) = -cima*dMU_QCD2
      coupl(nGC_3666) = -cima*dMU_QED2
      coupl(nGC_3665) = -cima*dMTA_QED2
      coupl(nGC_3664) = -cima*dMM_QED2
      coupl(nGC_3663) = -cima*dME_QED2
      coupl(nGC_3661) = -cima*dMH2_QED2
      coupl(nGC_6779) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3603) = cima*dyup_QED3
      coupl(nGC_7025) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_7026) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_5122) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5759) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_5758) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3281) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4  &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_7808) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_5230) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/&
                        2d0
      coupl(nGC_5231) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZmuMinusR_QED2
      coupl(nGC_6575) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_6576) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_6577) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3659) = coupl(nGC_3129)*dyt_QED3
      coupl(nGC_5094) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_3641) = coupl(nGC_3131)*dytau_QED3
      coupl(nGC_7147) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_5249) = coupl(nGC_29)*dZAZ_QED2
      coupl(nGC_6783) = -coupl(nGC_6779)
      coupl(nGC_5097) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_5572) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3668) = -cima*dMC_QED2
      coupl(nGC_6536) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_6040) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_6041) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_4962) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_5410) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_5795) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_4948) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_6484) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_3575) = coupl(nGC_3160)*dZee_QED2 + coupl(nGC_3161)*dsw_QED2
      coupl(nGC_3574) = coupl(nGC_3162)*dZee_QED2 + coupl(nGC_3163)*dsw_QED2
      coupl(nGC_3679) = cima*dMW2_QED2
      coupl(nGC_3674) = -cima*dMS_QED2
      coupl(nGC_3675) = -cima*dMS_QCD2
      coupl(nGC_3676) = -cima*dMB_QED2
      coupl(nGC_3670) = -cima*dMT_QED2
      coupl(nGC_3671) = -cima*dMT_QCD2
      coupl(nGC_3672) = -cima*dMD_QED2
      coupl(nGC_3673) = -cima*dMD_QCD2
      coupl(nGC_5117) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_3270) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3271) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3272) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3273) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3274) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3275) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_3278) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_5701) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_3409) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9125) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_6268) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_6149) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_6148) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_6263) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_6264) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_6265) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_6266) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_6267) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_5206) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZeMinusR_QED2
      coupl(nGC_5205) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/ &
                        2d0
      coupl(nGC_3495) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3496) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7148) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3365) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5937) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_6919) = coupl(nGC_3661) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_5413) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_6916) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_5892) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_4985) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_4984) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_4983) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_4982) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_7032) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_5295) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_3630) = -cima*dye_QED3
      coupl(nGC_3632) = -cima*dytau_QED3
      coupl(nGC_3636) = coupl(nGC_3121)*dym_QED3
      coupl(nGC_3637) = coupl(nGC_3130)*dytau_QED3
      coupl(nGC_3631) = -cima*dym_QED3
      coupl(nGC_3581) = coupl(nGC_3205)*dZee_QED2 + coupl(nGC_3206)*dsw_QED2 + &
                        coupl(nGC_3207)*dcw_QED2
      coupl(nGC_6039) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_6038) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_5435) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_3296) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_5147) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_5061) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2&
                        /2d0
      coupl(nGC_5148) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_5149) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_5798) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_3524) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_6547) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_3577) = coupl(nGC_3156)*dZee_QED2 + coupl(nGC_3157)*dsw_QED2
      coupl(nGC_3591) = coupl(nGC_3137)*dZee_QED2
      coupl(nGC_3590) = coupl(nGC_3138)*dZee_QED2
      coupl(nGC_3593) = coupl(nGC_3164)*dZee_QED2 + coupl(nGC_3165)*dsw_QED2
      coupl(nGC_3599) = coupl(nGC_3202)*dZee_QED2 + coupl(nGC_3203)*dsw_QED2 + &
                        coupl(nGC_3204)*dcw_QED2
      coupl(nGC_5431) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_3523) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_6091) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_3639) = coupl(nGC_3119)*dye_QED3
      coupl(nGC_3678) = cima*dMZ2_QED2
      coupl(nGC_5060) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZtauMinusR_QED2
      coupl(nGC_3677) = -cima*dMB_QCD2
      coupl(nGC_5436) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_4956) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_4957) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_3567) = -cima*dlam_QED4
      coupl(nGC_3398) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7118) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3645) = coupl(nGC_3134)*dyup_QED3
      coupl(nGC_3644) = coupl(nGC_3134)*dyup_QED1_QCD2
      coupl(nGC_3647) = coupl(nGC_3110)*dyc_QED3
      coupl(nGC_5100) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3591)
      coupl(nGC_3367) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5475) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_9128) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3241) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_3240) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7031) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_5476) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_6999) = coupl(nGC_3636) + coupl(nGC_70)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_70)*dZmuMinusR_QED2/2d0
      coupl(nGC_3612) = coupl(nGC_3117)*dydo_QED1_QCD2
      coupl(nGC_3610) = -cima*dyb_QED1_QCD2
      coupl(nGC_6150) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_6151) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_3611) = -cima*dyb_QED3
      coupl(nGC_3614) = coupl(nGC_3111)*dydo_QED1_QCD2
      coupl(nGC_5219) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_3615) = coupl(nGC_3111)*dydo_QED3
      coupl(nGC_6519) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_6513) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_6548) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7124) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_7125) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_7120) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_7121) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_3609) = cima*dyt_QED3
      coupl(nGC_3608) = cima*dyt_QED1_QCD2
      coupl(nGC_3605) = cima*dyc_QED3
      coupl(nGC_3604) = cima*dyc_QED1_QCD2
      coupl(nGC_3607) = -cima*dys_QED3
      coupl(nGC_3606) = -cima*dys_QED1_QCD2
      coupl(nGC_3601) = -cima*dydo_QED3
      coupl(nGC_3600) = -cima*dydo_QED1_QCD2
      coupl(nGC_3351) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3602) = cima*dyup_QED1_QCD2
      coupl(nGC_6180) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3529) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_6182) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_6740) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3320) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3325) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_1168)*   &
                        coupl(nGC_39)*coupl(nGC_73) + coupl(nGC_178)*coupl(    &
                        nGC_2)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*    &
                        coupl(nGC_76) + coupl(nGC_23)*coupl(nGC_266)*coupl(    &
                        nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73 &
                        ) + coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_73) - coupl( &
                        nGC_57)*coupl(nGC_58)*coupl(nGC_76) - coupl(nGC_57)*   &
                        coupl(nGC_59)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_3452) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**&
                        2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3453) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl&
                        (nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3456) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl&
                        (nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
      coupl(nGC_7344) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_7345) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_7346) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3513) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3512) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3515) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3514) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_6299) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_5173) = coupl(nGC_79)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_5172) = coupl(nGC_79)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_5175) = coupl(nGC_3659) + coupl(nGC_79)*dZH_QED2/2d0
      coupl(nGC_5176) = coupl(nGC_5172) + coupl(nGC_5175)
      coupl(nGC_3646) = coupl(nGC_3110)*dyc_QED1_QCD2
      coupl(nGC_5072) = coupl(nGC_3610) + coupl(nGC_53)*dZbR_QCD2/2d0 + coupl( &
                        nGC_53)*dZtL_QCD2/2d0
      coupl(nGC_5074) = coupl(nGC_3611) + coupl(nGC_53)*dZbR_QED2/2d0 + coupl( &
                        nGC_53)*dZtL_QED2/2d0
      coupl(nGC_6294) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_6297) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3412) = coupl(nGC_23)*(-coupl(nGC_164)*coupl(nGC_41) - coupl(  &
                        nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) +    &
                        coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_3268) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_3413) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_164)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(     &
                        nGC_56) + coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_3442) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3280) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3587) = coupl(nGC_3234)*dZee_QED2 + coupl(nGC_3235)*dsw_QED2 + &
                        coupl(nGC_3236)*dcw_QED2
      coupl(nGC_3584) = coupl(nGC_3146)*dZee_QED2 + coupl(nGC_3147)*dcw_QED2
      coupl(nGC_3582) = coupl(nGC_3211)*dZee_QED2 + coupl(nGC_3212)*dsw_QED2 + &
                        coupl(nGC_3213)*dcw_QED2
      coupl(nGC_3583) = coupl(nGC_3150)*dZee_QED2 + coupl(nGC_3151)*dcw_QED2
      coupl(nGC_3580) = coupl(nGC_3220)*dZee_QED2 + coupl(nGC_3221)*dsw_QED2 + &
                        coupl(nGC_3222)*dcw_QED2
      coupl(nGC_3540) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_1998) + 12d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_1998)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_3541) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1998  &
                        )**2d0 + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**&
                        2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1998)*sq2**  &
                        2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi &
                        **2d0)
      coupl(nGC_5073) = coupl(nGC_3608) + coupl(nGC_77)*dZbL_QCD2/2d0 + coupl( &
                        nGC_77)*dZtR_QCD2/2d0
      coupl(nGC_6520) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_3525) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3509) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(   &
                        nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                        )**2d0 - 8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)**  &
                        2d0 + 4d0*cima*coupl(nGC_168)**2d0 - 8d0*cima*coupl(   &
                        nGC_184)**2d0*coupl(nGC_25)**2d0 + 4d0*cima*coupl(     &
                        nGC_19)**2d0 - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40&
                        )**2d0 + 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*   &
                        coupl(nGC_41) - 4d0*cima*coupl(nGC_23)**2d0*coupl(     &
                        nGC_41)**2d0 + coupl(nGC_164)**2d0*coupl(nGC_19) +     &
                        coupl(nGC_164)**2d0*coupl(nGC_456) + 12d0*coupl(nGC_164&
                        )*coupl(nGC_19)*coupl(nGC_25) + 2d0*coupl(nGC_164)*    &
                        coupl(nGC_25)*coupl(nGC_592) + 12d0*coupl(nGC_168)*    &
                        coupl(nGC_184)*coupl(nGC_25) + coupl(nGC_18)*coupl(    &
                        nGC_25)**2d0 + coupl(nGC_184)**2d0*coupl(nGC_19) + 2d0*&
                        coupl(nGC_184)*coupl(nGC_25)*coupl(nGC_29))/(32d0*pi** &
                        2d0)
      coupl(nGC_7476) = coupl(nGC_3582) + coupl(nGC_40)*dZZ_QED2/2d0 + coupl(  &
                        nGC_40)*dZeMinusL_QED2
      coupl(nGC_4963) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_5150) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_5215) = coupl(nGC_34)*dZsR_QCD2
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_6092) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_3656) = coupl(nGC_3109)*dyc_QED1_QCD2
      coupl(nGC_3657) = coupl(nGC_3109)*dyc_QED3
      coupl(nGC_3654) = coupl(nGC_3135)*dyup_QED1_QCD2
      coupl(nGC_3655) = coupl(nGC_3135)*dyup_QED3
      coupl(nGC_3559) = coupl(nGC_3184)*dsw_QED2 + coupl(nGC_3185)*dMW2_QED2 + &
                        coupl(nGC_3186)*dZee_QED2
      coupl(nGC_3558) = coupl(nGC_3181)*dsw_QED2 + coupl(nGC_3182)*dMW2_QED2 + &
                        coupl(nGC_3183)*dZee_QED2
      coupl(nGC_3650) = coupl(nGC_3128)*dyt_QED1_QCD2
      coupl(nGC_3651) = coupl(nGC_3128)*dyt_QED3
      coupl(nGC_3555) = coupl(nGC_3166)*dZee_QED2 + coupl(nGC_3167)*dsw_QED2 + &
                        coupl(nGC_3168)*dcw_QED2
      coupl(nGC_3554) = coupl(nGC_3187)*dZee_QED2 + coupl(nGC_3188)*dsw_QED2 + &
                        coupl(nGC_3189)*dcw_QED2
      coupl(nGC_3557) = coupl(nGC_3152)*dMW2_QED2 + coupl(nGC_3153)*dZee_QED2
      coupl(nGC_3556) = coupl(nGC_3139)*dZee_QED2
      coupl(nGC_3551) = coupl(nGC_3140)*dZee_QED2
      coupl(nGC_3550) = coupl(nGC_3136)*dZee_QED2
      coupl(nGC_3553) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2
      coupl(nGC_3552) = coupl(nGC_3172)*dZee_QED2 + coupl(nGC_3173)*dsw_QED2 + &
                        coupl(nGC_3174)*dcw_QED2
      coupl(nGC_5134) = coupl(nGC_3551) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*&
                        dZWMinus_QED2
      coupl(nGC_5133) = coupl(nGC_29)*dZZA_QED2
      coupl(nGC_3382) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3383) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*&
                        cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*&
                        cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl&
                        (nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*&
                        coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39  &
                        )**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*  &
                        coupl(nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*&
                        coupl(nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(   &
                        nGC_63) - 8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75   &
                        ) + 8d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75&
                        ) - 8d0*Nc*cMS*coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0* &
                        Nc*cMT*coupl(nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*  &
                        coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*&
                        coupl(nGC_39)**2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(   &
                        nGC_35)**2d0*coupl(nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)* &
                        coupl(nGC_39)*coupl(nGC_87) - 8d0*Nc*cMU*coupl(nGC_39  &
                        )**2d0*coupl(nGC_87) - 8d0*cME*coupl(nGC_36)**2d0*coupl&
                        (nGC_67) + 8d0*cME*coupl(nGC_36)*coupl(nGC_40)*coupl(  &
                        nGC_67) - 8d0*cME*coupl(nGC_40)**2d0*coupl(nGC_67) -   &
                        8d0*cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + 8d0*cMM*    &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71) - 8d0*cMM*   &
                        coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(     &
                        nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl(nGC_36)*   &
                        coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(nGC_40)** &
                        2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_50)*coupl(      &
                        nGC_592) + 6d0*coupl(nGC_164)**2d0*coupl(nGC_50) -     &
                        coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_47) - coupl(    &
                        nGC_164)*coupl(nGC_236)*coupl(nGC_47) - coupl(nGC_21)* &
                        coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)**2d0*  &
                        coupl(nGC_50) - coupl(nGC_25)*coupl(nGC_266)*coupl(    &
                        nGC_47))/(32d0*pi**2d0)
      coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3313) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(    &
                        nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3312) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(&
                        nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*&
                        coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0* &
                        coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_3311) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl&
                        (nGC_83)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3310) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_5760) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_5761) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_5762) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_5763) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_5764) = coupl(nGC_3666) + coupl(nGC_5760)
      coupl(nGC_5765) = coupl(nGC_3667) + coupl(nGC_5761)
      coupl(nGC_3254) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_35) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(   &
                        nGC_164)*coupl(nGC_184) - coupl(nGC_25)*coupl(nGC_3) - &
                        2d0*coupl(nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl&
                        (nGC_40))/(32d0*pi**2d0)
      coupl(nGC_3255) = cima*(coupl(nGC_164)*coupl(nGC_184) + coupl(nGC_25)*   &
                        coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_3429) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3428) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                        nGC_23)**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69&
                        )**2d0 + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3658) = coupl(nGC_3129)*dyt_QED1_QCD2
      coupl(nGC_3421) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(      &
                        nGC_164)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*  &
                        coupl(nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(     &
                        nGC_64) + coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(    &
                        nGC_35)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/( &
                        32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
